Subject: Re: [bug#67506] guix: platform: Add platform-rust-architecture.
From: Efraim Flashner <[email-masked]>
To: Jean-Pierre De Jesus Diaz <[email-masked]>
Cc: [email-masked]
Date: Mon, 11 Dec 2023 13:58:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Dec 01, 2023 at 02:39:44PM +0000, Jean-Pierre De Jesus Diaz via Guix-patches via wrote:
> Hello,
> 
> The patch series looks good to me.  I was thinking of something
> similar to this in order
> to add a procedure to cross compile the `std` target so that the rust
> package can use it.
> 
> I was thinking that maybe the RUST-ARCHITECTURE could be called RUST-TARGET and
> that it could be a list (RUST-TARGETS) as some GCC multilib targets
> don't have a single
> RUST-TARGET, namely arm-none-eabi and avr, but the latter only has one
> rust target
> but the intention from the existing target is to add more as needed I
> think, as the
> avr-unknown-gnu-atmega328 target is MCU specific.
> 
> But given that there are zero multilib targets present in GNU Guix as
> of now I think
> it can stay as a string.

I like rust-target better than rust-architecture.  I suppose we can look
at changing it to rust-targets later if necessary but currently rust
cross-builds aren't setup to accept a list of targets.

We can always change it later if necessary.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted